import * as yargs from 'yargs';
import { PackageManager } from './package-manager';
declare type Arguments = {
    name: string;
    preset: string;
    appName: string;
    cli: string;
    style: string;
    nxCloud: boolean;
    allPrompts: boolean;
    packageManager: PackageManager;
    defaultBase: string;
    ci: string;
    skipGit: boolean;
    commit: {
        message: string;
        name: string;
        email: string;
    };
};
export declare const commandsObject: yargs.Argv<Arguments>;
export {};
